Index: /trunk/info/info/alkisn/alkisfkt.php
===================================================================
--- /trunk/info/info/alkisn/alkisfkt.php	(revision 363)
+++ /trunk/info/info/alkisn/alkisfkt.php	(revision 364)
@@ -7,4 +7,5 @@
 	Version:
 	2016-02-24 Version fuer norGIS-ALKIS-Import, "function linkgml" raus. Case-EntschlÃŒsselung raus.
+	2016-03-03 Hinweis auf Datenfehler wenn "ax_person" fehlt in function "eigentuemer"
 */
 
@@ -188,5 +189,5 @@
 	} // Beispiel-Link href='javascript:imFenster(\"alkislage.php?gkz= ... ."\")'>xxx ";
 
-	$sqln="SELECT n.gml_id, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, n.artderrechtsgemeinschaft AS adr, n.beschriebderrechtsgemeinschaft as beschr, n.eigentuemerart, n.anlass, wn.v AS adrv, we.v AS eiartv
+	$sqln="SELECT n.gml_id, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, n.artderrechtsgemeinschaft AS adr, n.beschriebderrechtsgemeinschaft as beschr, n.eigentuemerart, n.anlass, n.benennt, wn.v AS adrv, we.v AS eiartv
 FROM ax_namensnummer n 
 LEFT JOIN alkis_wertearten wn ON cast(n.artderrechtsgemeinschaft AS character varying)=wn.k AND wn.element='ax_namensnummer' AND wn.bezeichnung='artderrechtsgemeinschaft' 
@@ -236,18 +237,23 @@
 		// Schleife 2: P e r s o n
 		// Beziehung: ax_person  <benennt<  ax_namensnummer
-		$sqlp="SELECT p.gml_id, p.nachnameoderfirma, p.vorname, p.geburtsname, p.geburtsdatum, p.namensbestandteil, p.akademischergrad "
-		."FROM ax_person p JOIN ax_namensnummer nn ON nn.benennt=p.gml_id WHERE nn.gml_id= $1 AND p.endet IS NULL AND nn.endet IS NULL;";
-
-		$v = array($gmlnn);
+
+	//	$sqlp="SELECT p.gml_id, p.nachnameoderfirma, p.vorname, p.geburtsname, p.geburtsdatum, p.namensbestandteil, p.akademischergrad "
+	//	."FROM ax_person p JOIN ax_namensnummer nn ON nn.benennt=p.gml_id WHERE nn.gml_id= $1 AND p.endet IS NULL AND nn.endet IS NULL;";
+	//	$v = array($gmlnn);
+
+	// 03.03.16:
+		$sqlp="SELECT gml_id, nachnameoderfirma, vorname, geburtsname, geburtsdatum, namensbestandteil, akademischergrad "
+		."FROM ax_person WHERE gml_id= $1 AND endet IS NULL;";
+		$gmlpers=$rown["benennt"];
+		$v = array($gmlpers); // gml_id von ax_person
 		$resp = pg_prepare("", $sqlp);
 		$resp = pg_execute("", $v);
-
 		if (!$resp) {
 			echo "\n\t<p class='err'>Fehler bei Person</p>\n";
-			if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sqlp."<br>$1=gml= '".$gmlnn."'</p>";}
+			if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sqlp."<br>$1=gml= '".$gmlpers."'</p>";}
 		}
 
 		$i=0; // cnt Person
-		while($rowp = pg_fetch_array($resp)) { // Schleife notwendig? nn >benennt> Person ist kein Array!
+		while($rowp = pg_fetch_array($resp)) { // Schleife weglassen? nn >benennt> Person ist KEIN Array!
 			$diePerson="";
 		//	+++ Anrede?
@@ -337,10 +343,10 @@
 			}
 		} // End Loop Person
-		if ($i == 0) { // kommt vor hinter Zeile Erbengemeinschaft, ist dann KEIN Fehler
-			if ($debug > 1) { // nur bei Entwicklung
-				echo "\n<p class='dbg'>Rechtsgemeinschaft = '".$rechtsg."'</p>";
-				if ($rechtsg != 9999) {
-					echo "\n<p class='dbg'>Fehler: Keine Person zur Namensnummer ".$namnum."</p>";
-				//	if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".$sqlp."<br>$1 = gml(NamNum) = '".$gmlnn."'</p>";}
+		if ($i == 0) { // Kine Parson. Kommt vor hinter Zeile "Erbengemeinschaft", ist dann KEIN Fehler
+			if ($rechtsg != 9999) {
+				echo "\n<p class='err'>(Die Person mit der ID '".$gmlpers."' fehlt im Datenbestand)</p>";
+			} else {
+				if ($debug > 1) { // nur bei Entwicklung
+					echo "\n<p class='dbg'>Rechtsgemeinschaft = '".$rechtsg."'</p>";
 				}
 			}
Index: /trunk/mapbender/http/navn/alkisnav_adr.php
===================================================================
--- /trunk/mapbender/http/navn/alkisnav_adr.php	(revision 363)
+++ /trunk/mapbender/http/navn/alkisnav_adr.php	(revision 364)
@@ -5,4 +5,5 @@
 Version vom 
 	2016-02-11	Version fÃŒr norGIS-ALKIS-Import aus Version Classic abgeleitet.
+	2016-03-02  $gemeinde auf feste LÃ€nge korrigieren
 
 	ToDo:
@@ -20,4 +21,5 @@
 
 $cntget = extract($_GET);
+$gemeinde=str_pad($gemeinde, 3, "0", STR_PAD_LEFT); // temporÃ€r
 include("../../conf/alkisnav_conf.php");
 include("alkisnav_fkt.php"); // Funktionen
Index: /trunk/mapbender/http/navn/alkisnav_grd.php
===================================================================
--- /trunk/mapbender/http/navn/alkisnav_grd.php	(revision 363)
+++ /trunk/mapbender/http/navn/alkisnav_grd.php	(revision 364)
@@ -5,4 +5,5 @@
 Version vom
 	2016-02-11	Version fÃŒr norGIS-ALKIS-Import aus Version Classic abgeleitet.
+	2016-03-02  $gemeinde auf feste LÃ€nge korrigieren
 */
 
@@ -14,4 +15,5 @@
 
 $cntget = extract($_GET);
+$gemeinde=str_pad($gemeinde, 3, "0", STR_PAD_LEFT); // temporÃ€r ..
 include("../../conf/alkisnav_conf.php"); // Konfigurations-Einstellungen
 include("alkisnav_fkt.php"); // Funktionen
Index: /trunk/mapbender/http/navn/alkisnav_eig.php
===================================================================
--- /trunk/mapbender/http/navn/alkisnav_eig.php	(revision 363)
+++ /trunk/mapbender/http/navn/alkisnav_eig.php	(revision 364)
@@ -5,4 +5,5 @@
  Version vom
 	2016-02-11	Version fÃŒr norGIS-ALKIS-Import aus Version Classic abgeleitet.
+	2016-03-02  $gemeinde auf feste LÃ€nge korrigieren
 */
 
@@ -13,4 +14,5 @@
 
 $cntget = extract($_GET);
+$gemeinde=str_pad($gemeinde, 3, "0", STR_PAD_LEFT); // temporÃ€r ..
 include("../../conf/alkisnav_conf.php"); // Konfigurations-Einstellungen
 include("alkisnav_fkt.php"); // Funktionen
Index: /trunk/mapbender/http/navn/alkisnav_fls.php
===================================================================
--- /trunk/mapbender/http/navn/alkisnav_fls.php	(revision 363)
+++ /trunk/mapbender/http/navn/alkisnav_fls.php	(revision 364)
@@ -7,4 +7,5 @@
 Version vom
 	2016-02-11	Version fÃŒr norGIS-ALKIS-Import aus Version Classic abgeleitet.
+	2016-03-02  $gemeinde auf feste LÃ€nge korrigieren
 */
 
@@ -14,4 +15,5 @@
 
 $cntget = extract($_GET);
+$gemeinde=str_pad($gemeinde, 3, "0", STR_PAD_LEFT); // temporÃ€r bei Umstellung auf norGIS, besser im Mapbender 3stellig konfigurieren.
 include("../../conf/alkisnav_conf.php");
 include("alkisnav_fkt.php"); // Funktionen
@@ -367,8 +369,10 @@
 		echo "\n<p class='anz'>Keine Gemarkung.</p>";
 		if ($debug > 1) {
+/*
 			// Nach Umstellung auf NorGIS-Struktur muss im Mapbender die Gemeinde 3stellig konfiguriert werden
 			if (strlen($gemeinde) < 3) {
 				echo "<p class='err'>URL-Parameter &gemeinde=nnn im Mapbender gazetteer_alkis.SRC muss 3stellig sein!<br>Ist aber '".$gemeinde."'.</p>";
 			}
+*/
 			if ($debug > 2) {echo "<p class='dbg'>SQL=<br>".$sql."<br>$1 = ".$match."</p>";}
 		}
@@ -571,10 +575,24 @@
 	}
 	$sql.="FROM ax_flurstueck f WHERE f.gemarkungsnummer= $1 AND f.flurnummer= $2 AND f.zaehler= $3 ";
-	If ($znenner != "") {$sql.="AND f.nenner=".$znenner." ";} // wie prepared?
-	$sql.="AND endet IS NULL ORDER BY f.zaehler, f.nenner;";
+
+//	If ($znenner != "") {$sql.="AND f.nenner=".$znenner." ";}
+
+	// norGIS: "zaehler" ist integer in der DB, aber "nenner" ist character, linksbÃŒndig ohne fÃŒhrende '0'
+	If ($znenner != "") {
+		$suchnenn = ltrim($znenner, '0');
+		If ($suchnenn != "") {
+			$sql.="AND f.nenner='".$suchnenn."' ";
+		}
+	}
+	$sql.="AND endet IS NULL ORDER BY f.zaehler, cast(f.nenner AS integer);";
 	$v=array($zgemkg4, $zflur, $zzaehler);
 	$res=pg_prepare("", $sql);
 	$res=pg_execute("", $v);
-	if (!$res) {echo "\n<p class='err'>Fehler bei Flurst&uuml;ck.</p>";}
+	if (!$res) {
+		echo "\n<p class='err'>Fehler bei Flurst&uuml;ck.</p>";
+		if ($debug > 2) {echo "<p class='dbg'>SQL = '".$sql."'<br>Parameter $1='".$zgemkg4."' $2='".$zflur."' $3='".$zzaehler."'<p>";}
+	}
+
+
 	$zfs=0;
 	while($row = pg_fetch_array($res)) {	