Index: trunk/info/info/alkis/alkisfshist.php
===================================================================
--- trunk/info/info/alkis/alkisfshist.php	(revision 364)
+++ trunk/info/info/alkis/alkisfshist.php	(revision 372)
@@ -39,7 +39,7 @@
 		$arr = explode(",",$stri);
 		foreach($arr AS $val){
-		   echo "Flurst&uuml;ck <a title=' zur Flurst&uuml;ck Historie' href='".$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;fskennz=".$val;
-		   	if ($idanzeige) {echo "&amp;id=j";}
-				if ($showkey)   {echo "&amp;showkey=j";}
+			echo "Flurst&uuml;ck <a title=' zur Flurst&uuml;ck Historie' href='".$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;fskennz=".$val;
+			if ($idanzeige) {echo "&amp;id=j";}
+			if ($showkey)   {echo "&amp;showkey=j";}
 			echo "'>".fzerleg($val)."</a><br>";
 		}
@@ -111,4 +111,5 @@
 session_start();
 $id="n";
+$gmlid="";
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -159,5 +160,5 @@
 
 if ($parmtyp != "") { // einer der beiden erlaubten FÃ€lle
-	// UNION-Abfrage auf 3Ã€hnliche Tabellen, darin aber immer nur 1 Treffer.
+	// UNION-Abfrage auf 3 Ã€hnliche Tabellen, darin aber immer nur 1 Treffer.
 
 	$felder="gml_id, flurnummer, zaehler, nenner, flurstueckskennzeichen, amtlicheflaeche, zeitpunktderentstehung, gemarkungsnummer, ";
@@ -308,5 +309,5 @@
 <form action=''>
 	<div class='buttonbereich noprint'>
-	<hr>
+		<hr>
 		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
 		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
Index: trunk/info/info/alkis/alkishaus.php
===================================================================
--- trunk/info/info/alkis/alkishaus.php	(revision 364)
+++ trunk/info/info/alkis/alkishaus.php	(revision 372)
@@ -24,4 +24,5 @@
 session_start();
 $id="n";
+$allfld = "n";
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -54,5 +55,5 @@
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
-// // G e b a e u d e 
+// G e b a e u d e
 $sqlg ="SELECT g.gml_id, g.name, g.bauweise, g.gebaeudefunktion, g.anzahlderoberirdischengeschosse AS aog, g.anzahlderunterirdischengeschosse AS aug, 
 g.lagezurerdoberflaeche, g.dachgeschossausbau, g.zustand, g.weiteregebaeudefunktion, g.dachform, g.hochhaus, g.objekthoehe, g.geschossflaeche, g.grundflaeche, g.umbauterraum, g.baujahr, g.dachart, g.qualitaetsangaben, 
@@ -90,4 +91,6 @@
 	else {echo "&amp;allfld=j'>auch leere Felder";}
 echo "</a></p>";
+
+$gebnr = 0;
 
 while($rowg = pg_fetch_array($resg)) { // Schleife, kann aber nur EIN Haus sein.
@@ -168,5 +171,5 @@
 			}
 			echo "\n\t\t<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''>&nbsp;";
-			if ($showkey) {echo "<span class='key'>(".$skey.")</span>&nbsp;";}			
+			if ($showkey) {echo "<span class='key'>(".$skey.")</span>&nbsp;";}
 			echo "\n\t\t<a title='Hausnummer' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$gmllag."&amp;ltyp=".$ltyp;
 				if ($idanzeige) {echo "&amp;id=j";}
Index: trunk/info/info/alkis/alkisbestnw.php
===================================================================
--- trunk/info/info/alkis/alkisbestnw.php	(revision 364)
+++ trunk/info/info/alkis/alkisbestnw.php	(revision 372)
@@ -473,5 +473,5 @@
 		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
 		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
-	 	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download_gb.png" width="32" height="16" alt="Export"></a>&nbsp;
+		<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download_gb.png" width="32" height="16" alt="Export"></a>&nbsp;
 	</div>
 </form>
Index: trunk/info/info/alkis/alkisausk.php
===================================================================
--- trunk/info/info/alkis/alkisausk.php	(revision 364)
+++ trunk/info/info/alkis/alkisausk.php	(revision 372)
@@ -205,5 +205,5 @@
 				echo "\n\t\t<td class='head'>Bezirk</td>";
 				echo "\n\t\t<td class='head'>".$blattart."</td>";
-				echo "\n\t\t<td class='head'>Lfd-Nr,</td>";
+				echo "\n\t\t<td class='head'>Lfd-Nr.</td>";
 				echo "\n\t\t<td class='head'>Buchungsart</td>";
 			echo "\n\t</tr>";
@@ -225,11 +225,11 @@
 		echo "\n\t</table>";
 
-		if ($rowg["zahler"] <> "") {
-			echo "\n<p class='ant'>".$rowg["zahler"]."/".$rowg["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
+		if ($rowg["zaehler"] <> "") {
+			echo "\n<p class='ant'>".$rowg["zaehler"]."/".$rowg["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
 		}
 		echo "\n</td>\n<td>";
-		if ($idanzeige) {linkgml($gkz, $rowg[0], "Buchungsblatt", "");}
+		if ($idanzeige) {linkgml($gkz, $rowg["gml_id"], "Buchungsblatt", "");}
 		echo "\n\t<p class='nwlink'>weitere Auskunft:<br>";
-			echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0];
+			echo "\n\t\t<a href='alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg["gml_id"];
 				if ($idanzeige) {echo "&amp;id=j";}
 				if ($showkey)   {echo "&amp;showkey=j";}
Index: trunk/info/info/alkis/alkisnamstruk.php
===================================================================
--- trunk/info/info/alkis/alkisnamstruk.php	(revision 364)
+++ trunk/info/info/alkis/alkisnamstruk.php	(revision 372)
@@ -214,5 +214,5 @@
 
 			echo "\n\t<td class='gbl'>"; // Namensnummer
-				If ($namnum == "") {
+				if ($namnum == "") {
 					echo "&nbsp;";
 				} else {
@@ -225,5 +225,5 @@
 
 			echo "\n\t<td class='gbl'>"; // Anteil
-				If ($zae == "") {
+				if ($zae == "") {
 					echo "&nbsp;";
 				} else {
Index: trunk/info/info/alkis/alkisfkt.php
===================================================================
--- trunk/info/info/alkis/alkisfkt.php	(revision 364)
+++ trunk/info/info/alkis/alkisfkt.php	(revision 372)
@@ -281,5 +281,5 @@
 						echo "<span class='key'>(".$eiartkey.")</span> ";
 				}
-				echo "\n\t\t<a href='".$lnkvor."alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp[0];
+				echo "\n\t\t<a href='".$lnkvor."alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp["gml_id"];
 				if ($idanzeige) {echo "&amp;id=j";}
 				if ($showkey)   {echo "&amp;showkey=j";}