Index: /trunk/info/info/alkisn/alkislage.php
===================================================================
--- /trunk/info/info/alkisn/alkislage.php	(revision 374)
+++ /trunk/info/info/alkisn/alkislage.php	(revision 375)
@@ -7,4 +7,5 @@
 	Version:
 	2016-02-24 Version fuer norGIS-ALKIS-Import
+	2016-03-14 Korrekturen
 
 	ToDo:
@@ -403,13 +404,13 @@
 			."<td class='fla'>".$gfla." m&#178;</td>";
 
-			echo "<td title='".$ud."'>";
+			echo "<td title='".$row["ud"]."'>";
 			if ($showkey) {echo "<span class='key'>".$row["gebaeudefunktion"]."</span> ";}
 			echo $row["uv"]."</td>";
 
-			echo "<td title='".$hd."'>";
+			echo "<td title='".$row["hd"]."'>";
 			if ($showkey) {echo "<span class='key'>".$row["bauweise"]."</span> ";}
 			echo $row["hv"]."</td>";
 				
-			echo "<td title='".$zd."'>";
+			echo "<td title='".$row["zd"]."'>";
 			if ($showkey) {echo "<span class='key'>".$row["zustand"]."</span> ";}
 			echo $row["zv"]."</td>";
Index: /trunk/info/info/alkisn/alkisfsnw.php
===================================================================
--- /trunk/info/info/alkisn/alkisfsnw.php	(revision 374)
+++ /trunk/info/info/alkisn/alkisfsnw.php	(revision 375)
@@ -7,4 +7,5 @@
 	Version:
 	2016-02-24 Version fuer norGIS-ALKIS-Import
+	2016-03-14 Korrekturen
 
 	ToDo:
@@ -14,4 +15,5 @@
 session_start();
 $id="n";
+$eig="n";
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -478,4 +480,5 @@
  Zusatz-Eigenschaft "Art der Bebauung" gehÃ¶rt. Dazu muss das PostProcessing erweitert werden. */
 
+
 $sql="SELECT e.definition, trim(both FROM n.nutzsl) AS nutzsl, trim(both FROM n.fl) AS fl, trim(both FROM s.nutzung) AS nutzung
  FROM nutz_21 n JOIN nutz_shl s ON n.nutzsl = s.nutzshl
@@ -483,4 +486,5 @@
 WHERE n.flsnr = $1 ORDER BY cast(n.fl AS integer) DESC;";
 // Flurstueckskennzeichen mit Trennzeichen im ALB-Format wie 'llgggg-fff-zzzzz/nnn'
+// Alternativ kÃ¶nnte auch der VIEW "ax_tatsaechlichenutzungsschluessel" fÃŒr den Text zur Nutzungsart verwendet werden.
 
 $fskennzalb=$defland.$gmkgnr."-".str_pad($flurnummer,3,"0",STR_PAD_LEFT)."-".str_pad($zaehler,5,"0",STR_PAD_LEFT)."/".str_pad($nenner,3,"0",STR_PAD_LEFT);
Index: /trunk/info/info/alkisn/alkisexport.php
===================================================================
--- /trunk/info/info/alkisn/alkisexport.php	(revision 374)
+++ /trunk/info/info/alkisn/alkisexport.php	(revision 375)
@@ -6,8 +6,18 @@
 	Der View verkettet Flurstueck - Buchungsstelle - Grundbuch - Eigentuemer
 	Die Lagebezeichnung des FlurstÃŒcks wird in ein Feld komprimiert.
-	Parameter: gkz=mandant&gmlid=DE...&tabtyp=flurstueck/grundbuch/person
+	Parameter: 
+		alkisexport.php?gkz=mandant&tabtyp=flurstueck/grundbuch/person&gmlid=DE...
+		alkisexport.php?gkz=270&tabtyp=gemarkung&gemarkung=2662   
+		alkisexport.php?gkz=270&gemarkung=2662
+
+	Fehler
+		alkisexport.php?gkz=270&tabtyp=gemarkung&gmlid=2662
+		alkisexport.php?gkz=270&tabtyp=flurstueck&gemarkung=2662
+		alkisexport.php?gkz=270&tabtyp=flurstueck
+		alkisn/alkisexport.php?gkz=270&gmlid=2662
 
 	Version
 	2016-02-23 Version fuer norGIS-ALKIS-Import
+	2016-10-18 Export einer ganzen Gemarkung zulassen (Sonderfall bei den Parametern)
 */
 
@@ -43,10 +53,38 @@
 }
 
-// HIER START
-$cntget = extract($_GET); // Parameter aus URL lesen
+// HIER START //
+
+$gkz=''; $tabtyp = ''; $gemarkung=''; $gmlid=''; // erwartete Parameter initialisieren
+$cntget = extract($_GET); // aktuelle Parameter aus URL auslesen
+require_once("alkis_conf_location.php"); // Konfiguration laden
+include("alkisfkt.php"); // Funktionen der ALKIS-Auskunft laden
+
+if ($tabtyp == '') { // Parameter (-kombinationen) pruefen
+	if ($gemarkung == '') { // Beim Wert "gmlid" MUSS man die Tabelle dazu nennen
+		exit ("Fehler: Art des Suchfilters nicht angeben.");
+	} else {  // Art des Wertes bestimmt eindeutig den Filter
+		$tabtyp = 'gemarkung';
+	}
+} elseif ($tabtyp == 'gemarkung') {
+	if ($gemarkung == '') {
+		exit ("Fehler: Gemarkungsnummer nicht angeben.");
+	}
+}
+if ($gmlid == '') {
+	if ($gemarkung == '') {
+		exit ("Fehler: Kein Wert fuer die Suche angegeben.");
+	} else { // Wert fÃŒr Gemarkungsnummer angegeben
+		if ($tabtyp != 'gemarkung') {
+			exit ("Fehler: Falsche Kombination Parameter tabtyp='".$tabtyp."' mit Wert fuer Gemarkungsnummer.");
+		}
+		$filename='alkis_'.$tabtyp.'_'.$gemarkung.'.csv';
+	}
+} else { // alles gut
+	$filename='alkis_'.$tabtyp.'_'.$gmlid.'.csv';
+}
+
+// DOWNLOAD der CSV-Datei vorbereiten (statt HTML-Ausgabe)
 header('Content-type: application/octet-stream');
-header('Content-Disposition: attachment; filename="alkis_'.$tabtyp.'_'.$gmlid.'.csv"');
-require_once("alkis_conf_location.php");
-include("alkisfkt.php");
+header('Content-Disposition: attachment; filename="'.$filename.'"');
 
 // CSV-Ausgabe: Kopfzeile mit Feldnamen
@@ -58,21 +96,34 @@
 pg_set_client_encoding($con, 'LATIN1'); // FÃŒr Excel kein UTF8 ausgeben
 
+$viewname="exp_csv"; // Standard-View, ist in der Datenbank gespeichert
+$v=array($gmlid); // Standard-Filter-Feld
+
 // Der Parameter "Tabellentyp" bestimmt den Namen des Filter-Feldes aus dem View "exp_csv".
 switch ($tabtyp) { // zulaessige Werte fuer &tabtyp=
-	case 'flurstueck': $filter = "fsgml"; break; // ax_flurstueck.gml_id
-	case 'grundbuch':  $filter = "gbgml"; break; // ax_buchungsblatt.gml_id
-	case 'person':     $filter = "psgml"; break; // ax_person.gml_id
-	case 'strasse':    $filter = "stgml"; break; // ax_lagebezeichnungkatalogeintrag.gml_id = StraÃe-GML-ID
-	default: exit("Falscher Parameter '".$tabtyp."'"); break;
+	case 'flurstueck': // ax_flurstueck.gml_id
+		$filter = "fsgml";
+		break;
+	case 'grundbuch': // ax_buchungsblatt.gml_id
+		$filter = "gbgml";
+		break;
+	case 'person': // ax_person.gml_id
+		$filter = "psgml";
+		break;
+	case 'strasse': // ax_lagebezeichnungkatalogeintrag.gml_id = StraÃe-GML-ID
+		$filter = "stgml";
+		$viewname="exp_csv_str"; // alternativer View mit "_str", ist in der Datenbank gespeichert  
+		break;
+	case 'gemarkung': // SONDERfall als Parameter wird "Gemarkungsnummer" und nicht "gml_id" geliefert
+		$filter = "gemarkungsnummer";
+		$v=array($gemarkung); // anderes Filter-Feld, anderer Parameter
+		break;
+	default:
+		exit("Falscher Parameter '".$tabtyp."'");
+		break;
 }
 
 // Daten aus gespeichertem View, zusaetzlich Filter: "feld"='wert' mitgeben
-if ($tabtyp == 'strasse') { // Sonderversion
-	$sql="SELECT * FROM exp_csv_str WHERE ".$filter." = $1 ";
-} else {
-	$sql="SELECT * FROM exp_csv WHERE ".$filter." = $1 ";
-}
-
-$v=array($gmlid);
+$sql="SELECT * FROM ".$viewname." WHERE ".$filter." = $1 ";
+
 $res=pg_prepare("", $sql);
 $res=pg_execute("", $v);
Index: /trunk/info/info/alkisn/alkisfkt.php
===================================================================
--- /trunk/info/info/alkisn/alkisfkt.php	(revision 374)
+++ /trunk/info/info/alkisn/alkisfkt.php	(revision 375)
@@ -8,4 +8,5 @@
 	2016-02-24 Version fuer norGIS-ALKIS-Import, "function linkgml" raus. Case-EntschlÃŒsselung raus.
 	2016-03-03 Hinweis auf Datenfehler wenn "ax_person" fehlt in function "eigentuemer"
+	2016-03-14 Kleine Korrekturen
 */
 
@@ -15,12 +16,16 @@
 	// Den URL-Parameter "&showkey=j/n" umschalten lassen.
 	// $append wird angehaengt wenn gefuellt. Anwendung: &eig=j bei FS-NW, &ltyp=m/p/o bei Lage
-	global $gkz, $showkey, $hilfeurl;
-
-	$customer=$_SESSION["mb_user_name"];
+	global $gkz, $showkey, $hilfeurl, $auth;
+
 	echo "\n<div class='confbereich noprint'>"
 	."\n<table class='outer'>\n<tr>";
 
 	// Spalte 1: Info Benutzerkennung
-	echo "\n\t<td title='Info'><i>Benutzer:&nbsp;".$customer."</i></td>";
+	if ($auth == "mapbender") {
+		$customer=$_SESSION["mb_user_name"];
+		echo "\n\t<td title='Info'><i>Benutzer:&nbsp;".$customer."</i></td>";
+	} else {
+		echo "\n\t<td>&nbsp;</td>";
+	}
 
 	// Spalte 2: Umschalter
@@ -280,5 +285,5 @@
 						echo "<span class='key'>(".$eiartkey.")</span> ";
 				}
-				echo "\n\t\t<a href='".$lnkvor."alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp["gml_id"];
+				echo "\n\t\t<a href='".$lnkvor."alkisnamstruk.php?gkz=".$gkz."&amp;gmlid=".$rowp[0];
 				if ($showkey)   {echo "&amp;showkey=j";}
 				echo $lnknach."' title='vollst&auml;ndiger Name und Adresse eines Eigent&uuml;mers'>".$eiart;
Index: /trunk/info/info/alkisn/alkishaus.php
===================================================================
--- /trunk/info/info/alkisn/alkishaus.php	(revision 374)
+++ /trunk/info/info/alkisn/alkishaus.php	(revision 375)
@@ -52,6 +52,6 @@
 h.v bbauw, u.v AS bfunk, z.v AS zustandv, d.v AS bdach, a.v AS dgaus, o.v AS oflv,
 round(st_area(g.wkb_geometry)::numeric,2) AS gebflae FROM ax_gebaeude g 
-LEFT JOIN alkis_wertearten h ON cast(g.bauweise AS character varying)=h.k AND h.element='ax_gebaeude' and h.bezeichnung='bauweise'
-LEFT JOIN alkis_wertearten u ON cast(g.gebaeudefunktion AS character varying)=u.k AND u.element='ax_gebaeude' and u.bezeichnung='gebaeudefunktion'
+LEFT JOIN alkis_wertearten h ON cast(g.bauweise AS character varying)=h.k AND h.element='ax_gebaeude' AND h.bezeichnung='bauweise'
+LEFT JOIN alkis_wertearten u ON cast(g.gebaeudefunktion AS character varying)=u.k AND u.element='ax_gebaeude' AND u.bezeichnung='gebaeudefunktion'
 LEFT JOIN alkis_wertearten z ON cast(g.zustand AS character varying)=z.k AND z.element='ax_gebaeude' AND z.bezeichnung='zustand'
 LEFT JOIN alkis_wertearten d ON cast(g.dachform AS character varying)=d.k AND d.element='ax_gebaeude' AND d.bezeichnung='dachform'