Index: trunk/info/info/alkis/alkislage.php
===================================================================
--- trunk/info/info/alkis/alkislage.php	(revision 376)
+++ trunk/info/info/alkis/alkislage.php	(revision 377)
@@ -6,16 +6,20 @@
 
 	Version:
-	2016-02-24 Version fuer norGIS-ALKIS-Import
-	2016-03-14 Korrekturen
-	2016-11-29 HTML5, Gemeinsam genutzte Datenbanken ermÃ¶glichen
+	2013-03-06 Korrektur URL des Link im Abs. Lage bei eingeschalteten Test-Optionen
+	2013-04-08 deprecated "import_request_variables" ersetzt
+	2014-01-23 gml des Katalogs, Link auf Modul "strasse"
+	2014-09-03 PostNAS 0.8: ohne Tab. "alkis_beziehungen", mehr "endet IS NULL", Spalten varchar statt integer
+	2014-09-15 Bei Relationen den Timestamp abschneiden
+	2014-09-30 Umbenennung SchlÃŒsseltabellen (Prefix), RÃŒckbau substring(gml_id)
+	2014-12-30 Fs-Nr. rechtbuendig (class)
+	2015-12-09 Austausch .ico durch .png
+	2015-12-16 area -> st_area
 
 	ToDo:
-	- Balken-Kennzeichen kompatibel machen mit der Eingabe der Navigation fÃŒr Adresse
-	- das Modul "alkisgebaeudenw" (alle Geb. auf einem FS) verschneidet die FlÃ€chen und findet damit auch 
-		Grenz-Uberbauungen und angrenzende GebÃ€ude. Diese fehlen hier, weil nur VerknÃŒpfungen verarbeitet werden.
-		Mit FlÃ€chen-Verschneidung auch weitere FS anzeigen?
+	- Das Balken-Kennzeichen noch kompatibel machen mit der Eingabe der Navigation fÃŒr Adresse 
 */
 session_start();
 $id="n";
+$ltyp="";
 $cntget = extract($_GET);
 require_once("alkis_conf_location.php");
@@ -24,9 +28,9 @@
 
 switch ($ltyp) {
-	case "m": // "Mit HsNr" = Hauptgebaeude
+	case "m": // "Mit HsNr"     = Hauptgebaeude
 		$tnam = "ax_lagebezeichnungmithausnummer"; break;
 	case "p": // "mit PseudoNr" = Nebengebaeude
 		$tnam = "ax_lagebezeichnungmitpseudonummer";	break;
-	case "o": //"Ohne HsNr" = Gewanne oder Strasse
+	case "o": //"Ohne HsNr"    = Gewanne oder Strasse
 		$tnam = "ax_lagebezeichnungohnehausnummer"; break;
 	default:
@@ -35,11 +39,16 @@
 }
 
+if ($id == "j") {$idanzeige=true;} else {$idanzeige=false;}
 $keys = isset($_GET["showkey"]) ? $_GET["showkey"] : "n";
 if ($keys == "j") {$showkey=true;} else {$showkey=false;}
 ?>
-<!doctype html>
-<html lang="de">
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
 <head>
-	<meta charset="utf-8">
+	<meta name="author" content="b600352" >
+	<meta http-equiv="cache-control" content="no-cache">
+	<meta http-equiv="pragma" content="no-cache">
+	<meta http-equiv="expires" content="0">
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 	<title>ALKIS Lagebezeichnung</title>
 	<link rel="stylesheet" type="text/css" href="alkisauszug.css">
@@ -51,5 +60,5 @@
 <body>
 <?php
-$con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkislage.php'");
+$con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
@@ -133,10 +142,5 @@
 	}
 } else {
-	echo "<p class='err'>Fehler! Kein Treffer fuer Lagebezeichnung mit gml_id='".$gmlid."'</p>";
-	if ($debug > 2) {
-		echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";
-	}
-	echo "</body></html>";
-	exit;
+	echo "<p class='err'>Fehler! Kein Treffer fuer gml_id=".$gmlid."</p>";
 }
 
@@ -147,12 +151,12 @@
 echo "\n<table class='outer'>\n<tr>\n\t<td>"; 	// Tab. Kennz.
 	// ToDo: !! kleiner, wenn ltyp=0 und die Schluesselfelder leer sind
-	echo "\n\t<table class='kennzla' title='Lage'>"
-		."\n\t<tr>";
+	echo "\n\t<table class='kennzla' title='Lage'>";
+		echo "\n\t<tr>";
 			if ($osub != "g") { // nicht bei Gewanne
-				echo "\n\t\t<td class='head'>Land</td>"
-				."\n\t\t<td class='head'>Reg.-Bez.</td>"
-				."\n\t\t<td class='head'>Kreis</td>"
-				."\n\t\t<td class='head'>Gemeinde</td>"
-				."\n\t\t<td class='head'>Stra&szlig;e</td>";
+				echo "\n\t\t<td class='head'>Land</td>";
+				echo "\n\t\t<td class='head'>Reg.-Bez.</td>";
+				echo "\n\t\t<td class='head'>Kreis</td>";
+				echo "\n\t\t<td class='head'>Gemeinde</td>";
+				echo "\n\t\t<td class='head'>Stra&szlig;e</td>";
 			}
 			switch ($ltyp) {
@@ -161,6 +165,6 @@
 				break;
 				case "p": // "mit PseudoNr"
-					echo "\n\t\t<td class='head'>Haus-Nr</td>"
-					."\n\t\t<td class='head'>lfd.-Nr</td>";
+					echo "\n\t\t<td class='head'>Haus-Nr</td>";
+					echo "\n\t\t<td class='head'>lfd.-Nr</td>";
 				break;
 				case "o": //"Ohne HsNr"
@@ -170,5 +174,6 @@
 				break;
 			}
-		echo "\n\t</tr>\n\t<tr>";
+		echo "\n\t</tr>";
+		echo "\n\t<tr>";
 			if ($osub != "g") { // nicht bei Gewanne
 
@@ -204,6 +209,6 @@
 				break;
 				case "p":
-					echo "\n\t\t<td title='Pseudonummer - Nebengeb&auml;ude zu dieser Hausnummer'>".$pseu."</td>"
-					."\n\t\t<td title='Laufende Nummer Nebengeb&auml;ude'><span class='wichtig'>".$lfd."</span></td>";
+					echo "\n\t\t<td title='Pseudonummer - Nebengeb&auml;ude zu dieser Hausnummer'>".$pseu."</td>";
+					echo "\n\t\t<td title='Laufende Nummer Nebengeb&auml;ude'><span class='wichtig'>".$lfd."</span></td>";
 				break;
 				case "o":
@@ -213,16 +218,19 @@
 				break;
 			}
-		echo "\n\t</tr>"
-	."\n\t</table>";
+		echo "\n\t</tr>";
+	echo "\n\t</table>";
 
 	echo "\n\t</td>\n\t<td>";
 
 	// Kopf Rechts: weitere Daten?
+	if ($idanzeige) {linkgml($gkz, $gmlid, "Lage", ""); }
+
 	if ($osub != "g") { // Link zu Strasse
-		echo "\n\t\t<p class='nwlink noprint'>"
-			."\n\t\t<a href='alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$strgml;
-			if ($showkey) {echo "&amp;showkey=j";}
-			echo "' title='Stra&szlig;e'>Stra&szlig;e <img src='ico/Strassen.png' width='16' height='16' alt=''></a>"
-		."\n\t\t</p>";
+		echo "\n\t\t<p class='nwlink noprint'>";
+			echo "\n\t\t<a href='alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$strgml;
+				if ($idanzeige) {echo "&amp;id=j";}
+				if ($showkey)   {echo "&amp;showkey=j";}
+			echo "' title='Stra&szlig;e'>Stra&szlig;e <img src='ico/Strassen.png' width='16' height='16' alt=''></a>";
+		echo "\n\t\t</p>";
 	}
 
@@ -233,8 +241,7 @@
 // ax_Flurstueck  >weistAuf>  ax_LagebezeichnungMitHausnummer
 // ax_Flurstueck  >zeigtAuf>  ax_LagebezeichnungOhneHausnummer
-// ++ auch FlÃ€chenverschneidung?
 if ($ltyp <> "p") { // Pseudonummer linkt nur GebÃ€ude
-	echo "\n\n<a id='fs'></a><h3><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;cke</h3>\n"
-	."\n<p>mit dieser Lagebezeichnung.</p>";
+	echo "\n\n<a name='fs'></a><h3><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;cke</h3>\n";
+	echo "\n<p>mit dieser Lagebezeichnung.</p>";
 	switch ($ltyp) {
 		case "m": $bezart="weistauf"; break;
@@ -254,12 +261,13 @@
 		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}	
 	}
-	echo "\n<table class='fs'>"
-	."\n<tr>"
-		."\n\t<td class='heads'>Gemarkung<img src='ico/sort.png' width='10' height='10' alt='' title='Sortierung'></td>"
-		."\n\t<td class='heads'>Flur<img src='ico/sort.png' width='10' height='10' alt='' title='Sortierung'></td>"
-		."\n\t<td class='heads fsnr' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><img src='ico/sort.png' width='10' height='10' alt='' title='Sortierung'>Flurst.</td>"
-		."\n\t<td class='head fla'>Fl&auml;che</td>"
-		."\n\t<td class='head nwlink noprint' title='Link: weitere Auskunft'>weit. Auskunft</td>"
-	."\n</tr>";
+
+	echo "\n<table class='fs'>";
+	echo "\n<tr>"; // Kopfzeile der Tabelle
+		echo "\n\t<td class='head'>Gemarkung</td>";
+		echo "\n\t<td class='head'>Flur</td>";
+		echo "\n\t<td class='head fsnr' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'>Flurst.</td>";
+		echo "\n\t<td class='head fla'>Fl&auml;che</td>";
+		echo "\n\t<td class='head nwlink noprint' title='Link: weitere Auskunft'>weit. Auskunft</td>";
+	echo "\n</tr>";
 	$j=0;
 	while($rowf = pg_fetch_array($resf)) {
@@ -268,21 +276,26 @@
 		if ($rowf["nenner"] != "") {$fskenn.="/".$rowf["nenner"];}
 		$flae=number_format($rowf["amtlicheflaeche"],0,",",".") . " m&#178;";
-		echo "\n<tr>"
-			."\n\t<td>";
+		echo "\n<tr>";
+			echo "\n\t<td>";
 			if ($showkey) {echo "<span class='key'>".$rowf["gemarkungsnummer"]."</span> ";}
-			echo $rowf["bezeichnung"]."</td>"
-			."\n\t<td>".$flur."</td>"
-			."\n\t<td class='fsnr'><span class='wichtig'>".$fskenn."</span></td>"
-			."\n\t<td class='fla'>".$flae."</td>"
-			."\n\t<td>\n\t\t<p class='nwlink noprint'>"
-				."\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
-				if ($showkey) {echo "&amp;showkey=j";}
-				echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>"
-			."\n\t\t</p>\n\t</td>"
-		."\n</tr>";
+			echo $rowf["bezeichnung"]."</td>";
+			echo "\n\t<td>".$flur."</td>";
+			echo "\n\t<td class='fsnr'><span class='wichtig'>".$fskenn."</span>";
+				if ($idanzeige) {linkgml($gkz, $rowf["gml_id"], "Flurst&uuml;ck", "ax_flurstueck");}
+			echo "</td>";
+			echo "\n\t<td class='fla'>".$flae."</td>";
+			echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+				echo "\n\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
+					if ($idanzeige) {echo "&amp;id=j";}
+					if ($showkey)   {echo "&amp;showkey=j";}
+				echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>";
+			echo "\n\t\t</p>\n\t</td>";
+		echo "\n</tr>";
 		$j++;
 	}
 	echo "\n</table>";
-	if ($j > 6) {echo "<p class='cnt'>".$j." Flurst&uuml;cke</p>";}
+	if ($j > 6) {
+		echo "<p class='cnt'>".$j." Flurst&uuml;cke</p>";
+	}
 }
 
@@ -290,18 +303,19 @@
 // andere Lage mit gleicher Hausnummer suchen
 if ($ltyp <> "o") { // nicht bei Gewanne (Ohne HsNr)
-	echo "\n\n<a id='lage'></a><h3><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''> Lage</h3>\n"
-	."\n<p>andere Lagebezeichnungen zur gleichen Hausnummer.</p>";
+	echo "\n\n<a name='lage'></a><h3><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt=''> Lage</h3>\n";
+	echo "\n<p>andere Lagebezeichnungen zur gleichen Hausnummer.</p>";
 	$whereclaus="WHERE land= $1 AND regierungsbezirk= $2 AND kreis= $3 AND gemeinde= $4 AND lage= $5 ";
 
 	$url=$_SERVER['PHP_SELF']."?gkz=".$gkz."&amp;id=".$id; // Basis
+	if ($idanzeige) {$url.="&amp;id=j";}
 	if ($showkey)   {$url.="&amp;showkey=j";}
 	$url.="&amp;gmlid=";
 
 	switch ($ltyp) {
-		case "m": // aktuell: Hausnummer gefunden
+		case "m": // aktuell Hausnummer gefunden
 			// dazu alle NebengebÃ€ude suchen
-			echo "\n<p>Nebengeb&auml;ude:&nbsp;";
-			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l "
-			.$whereclaus."AND lage= $6 AND pseudonummer= $7 AND l.endet IS NULL ORDER BY laufendenummer;";
+			echo "\n<p>Nebengeb&auml;ude: ";
+			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
+			$sql.=$whereclaus."AND lage= $6 AND pseudonummer= $7 AND l.endet IS NULL ORDER BY laufendenummer;";
 
 			$v = array($land,$regbez,$kreis,$gem,$lage,$lage,$hsnr);
@@ -312,10 +326,7 @@
 				if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}
 			}
-			$neb=0;
 			while($row = pg_fetch_array($res)) {
 				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
-				$neb++;
-			}
-			if ($neb == 0) {echo "keine";}
+			}
 			echo "</p>";
 		break;
@@ -330,17 +341,14 @@
 			$res = pg_execute("", $v);
 
-			if (!$res) {echo "<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>\n";}
-			$hg=0;
+			if (!$res) echo "<p class='err'>Fehler bei Hauptgeb&auml;ude.<br>".$sql."</p>\n";
 			while($row = pg_fetch_array($res)) {
 				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=m'>Haus-Nr ".$pseu."</a>&nbsp;&nbsp;";
-				$hg++;
-			}
-			if ($hg == 0) {echo "&nbsp;Kein Hauptgeb&auml;ude gefunden.";}
+			}
 			echo "</p>";
 
-			echo "\n<p>Weitere Nebengeb&auml;ude:&nbsp;";
-			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l "
-			.$whereclaus."AND pseudonummer= $6 AND laufendenummer <> $7 AND l.endet IS NULL ORDER BY laufendenummer;";
-			$v=array($land,$regbez,$kreis,$gem,$lage,$pseu,$lfd);
+			echo "\n<p>weitere Nebengeb&auml;ude: ";
+			$sql ="SELECT l.gml_id, l.laufendenummer FROM ax_lagebezeichnungmitpseudonummer l ";
+			$sql.=$whereclaus."AND pseudonummer= $6 AND laufendenummer <> $7 AND l.endet IS NULL ORDER BY laufendenummer;";
+			$v = array($land,$regbez,$kreis,$gem,$lage,$pseu,$lfd);
 			$res = pg_prepare("", $sql);
 			$res = pg_execute("", $v);
@@ -349,10 +357,7 @@
 				if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."</p>";}			
 			}
-			$neb=0;
 			while($row = pg_fetch_array($res)) {
 				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
-				$neb++;
-			}
-			if ($neb == 0) {echo "keine";}
+			}
 			echo "</p>";
 		break;
@@ -362,19 +367,13 @@
 // G E B A E U D E
 if ($ltyp <> "o") { // OhneHsNr linkt nur Flurst.
-	echo "\n\n<a id='geb'></a><h3><img src='ico/Haus.png' width='16' height='16' alt=''> Geb&auml;ude</h3>"
-	."\n<p>mit dieser Lagebezeichnung.</p>";
+	echo "\n\n<a name='geb'></a><h3><img src='ico/Haus.png' width='16' height='16' alt=''> Geb&auml;ude</h3>";
+	echo "\n<p>mit dieser Lagebezeichnung.</p>";
 	switch ($ltyp) {
 		case "p": $bezart="g.hat"; break;
 		case "m": $bezart="ANY(g.zeigtauf)"; break; // array
 	}
-
-	$sql ="SELECT g.gml_id, g.gebaeudefunktion, array_to_string(g.name, ',') AS name, g.bauweise, g.grundflaeche, g.zustand, round(st_area(g.wkb_geometry)::numeric,2) AS flaeche,
-	h.v AS hv, h.d AS hd, u.v AS uv, u.d AS ud, z.v AS zv, z.d AS zd FROM ax_gebaeude g 
-	LEFT JOIN alkis_wertearten h ON cast(g.bauweise AS character varying)=h.k AND h.element='ax_gebaeude' AND h.bezeichnung='bauweise'
-	LEFT JOIN alkis_wertearten u ON cast(g.gebaeudefunktion AS character varying)=u.k AND u.element='ax_gebaeude' AND u.bezeichnung='gebaeudefunktion'
-	LEFT JOIN alkis_wertearten z ON cast(g.zustand AS character varying)=z.k AND z.element='ax_gebaeude' AND z.bezeichnung='zustand'
-	WHERE $1 = ".$bezart." AND g.endet IS NULL;";
-	// Keine Sortierung (ORDER BY) notwendig weil i.d.R. nur ein (Haupt-)GebÃ€ude diese Hausnummer hat.
-	// FÃŒr weiter "alkis_wertearten" (EnstschlÃŒsselungen) zum GebÃ€ude dem Link "Haus" folgen.
+	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.name, g.bauweise, g.grundflaeche, g.zustand, round(st_area(g.wkb_geometry)::numeric,2) AS flaeche, h.bauweise_beschreibung, u.bezeichner 
+	FROM ax_gebaeude g LEFT JOIN v_geb_bauweise h ON g.bauweise=h.bauweise_id 
+	LEFT JOIN v_geb_funktion u ON g.gebaeudefunktion=u.wert WHERE $1 = ".$bezart." AND g.endet IS NULL;";
 
 	$v = array($gmlid);
@@ -385,38 +384,41 @@
 		if ($debug > 2) {echo "<p class='err'>SQL=<br>".$sql."<br>$1 = gml_id = '".$gmlid."'</p>";}
 	}
-	echo "\n<table class='geb'>"
-	."\n<tr>"
-		."\n\t<td class='head' title='Name ist der Eigenname oder die Bezeichnung des Geb&auml;udes.'>Name</td>"
-		."\n\t<td class='head fla' title='Fl&auml;che'>Fl&auml;che</td>"
-		."\n\t<td class='head' title='Geb&auml;udefunktion ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'>Funktion</td>"
-		."\n\t<td class='head' title='Bauweise ist die Beschreibung der Art der Bauweise'>Bauweise</td>"
-		."\n\t<td class='head' title='Zustand beschreibt die Beschaffenheit oder die Betriebsbereitschaft von Geb&auml;ude. Diese Attributart wird nur dann optional gef&uuml;hrt, wenn der Zustand des Geb&auml;udes vom nutzungsf&auml;higen Zustand abweicht.'>Zustand</td>"
-		."\n\t<td class='head nwlink' title='Komplette Hausdaten'>Hausdaten</td>"
-	."\n</tr>";
+	echo "\n<table class='geb'>";
+	echo "\n<tr>"; // T-Header
+		echo "\n\t<td class='head' title='Geb&auml;udename'>Name</td>";
+		echo "\n\t<td class='head fla' title='Fl&auml;che'>Fl&auml;che</td>";
+		echo "\n\t<td class='head' title='Geb&auml;udefunktion ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'>Funktion</td>";
+		echo "\n\t<td class='head' title='Bauweise (Schl&uuml;ssel und Beschreibung)'>Bauweise</td>";
+		echo "\n\t<td class='head' title='Zustand (Schl&uuml;ssel und Beschreibung)'>Zustand</td>";
+		echo "\n\t<td class='head nwlink' title='Link zu kompletten Hausdaten'>Haus</td>";
+	echo "\n</tr>";
+	// T-Body
 	$i=0;
 	while($row = pg_fetch_array($res)) {
 		$ggml=$row["gml_id"];
 		$gfla=$row["flaeche"];
-		echo "\n\t<tr>"
-			."<td>".$row["name"]."</td>"
-			."<td class='fla'>".$gfla." m&#178;</td>";
-
-			echo "<td title='".$row["ud"]."'>";
+		echo "\n\t<tr>";
+
+			echo "<td>";
+				if ($idanzeige) {linkgml($gkz, $ggml, "Geb&auml;ude", "ax_gebaeude");}
+				// +++ Hausnummer / Adresse ???
+			echo $row["name"]."</td>";
+			echo "<td class='fla'>".$gfla." m&#178;</td>";
+			echo "<td>";
 			if ($showkey) {echo "<span class='key'>".$row["gebaeudefunktion"]."</span> ";}
-			echo $row["uv"]."</td>";
-
-			echo "<td title='".$row["hd"]."'>";
-			if ($showkey) {echo "<span class='key'>".$row["bauweise"]."</span> ";}
-			echo $row["hv"]."</td>";
-				
-			echo "<td title='".$row["zd"]."'>";
-			if ($showkey) {echo "<span class='key'>".$row["zustand"]."</span> ";}
-			echo $row["zv"]."</td>";
-
-			echo "\n\t<td class='nwlink noprint'>"
-				."<a title='komplette Hausdaten' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml
-				."'>Haus <img src='ico/Haus.png' width='16' height='16' alt=''></a>"
-			."</td>"
-		."</tr>";
+			echo $row["bezeichner"]."</td>";
+			echo "<td>";
+				if ($showkey) {echo "<span class='key'>".$row["bauweise"]."</span> ";}
+			echo $row["bauweise_beschreibung"]."</td>";
+
+			echo "<td>".$row["zustand"]."</td>"; // +++ EntschlÃŒsseln
+
+			echo "\n\t<td class='nwlink noprint'>";
+				echo "<a title='Hausdaten' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml;
+				if ($idanzeige) {echo "&amp;id=j";}
+				echo "'><img src='ico/Haus.png' width='16' height='16' alt=''></a>";
+			echo "</td>";
+
+		echo "</tr>";
 	}
 	echo "\n</table>";
@@ -425,9 +427,11 @@
 ?>
 
-<div class='buttonbereich noprint'>
-<hr>
-	<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
-	<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
-</div>
+<form action=''>
+	<div class='buttonbereich noprint'>
+	<hr>
+		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.png" width="16" height="16" alt="zur&uuml;ck"></a>&nbsp;
+		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.png" width="16" height="16" alt="Drucken"></a>&nbsp;
+	</div>
+</form>
 
 <?php footer($gmlid, $_SERVER['PHP_SELF']."?", "&amp;ltyp=".$ltyp); ?>