Index: trunk/umn/alkis_n/templates/header_punktnummer.html
===================================================================
--- trunk/umn/alkis_n/templates/header_punktnummer.html	(revision 379)
+++ trunk/umn/alkis_n/templates/header_punktnummer.html	(revision 379)
@@ -0,0 +1,55 @@
+<!-- MapServer Template -->
+<?xml version="1.0" encoding="UTF-8" ?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+<title>ALKIS Punktinformation</title>
+<link rel="stylesheet" type="text/css" href="http://localhost/css/templates.css"/>
+<style type="text/css">
+
+#punktkennung {
+	width:100px;
+}
+
+</style>
+
+<script type="text/javascript">
+<!--
+window.resizeTo(480,750);
+// -->
+
+</script>
+
+</head>
+<body>
+<h1> ALKIS Punktinformation </h1>
+
+<h3>Legende</h3>
+<table cellpadding="4" cellspacing="1" style="font-size:7pt;">
+	<tr>
+		<td class='tdfirst'>Genauigkeitsstufe (GST)</td>
+		<td class='tdfirst'>Standardabweichung (S)</td>
+	</tr>
+	<tr>
+		<td>2000</td>
+		<td>S &lt;= 2cm</td>
+	</tr>
+	<tr> 
+		<td>2100</td>
+		<td>S &lt;= 3cm</td>
+	</tr>
+	<tr> 
+		<td>2200</td>
+		<td>S &lt;= 6cm</td>
+	</tr>
+	<tr> 
+		<td>2300</td>
+		<td>S &lt;= 10cm</td>
+	</tr>
+	<tr> 
+		<td>3000</td>
+		<td>S &lt;= 30cm</td>
+	</tr>
+</table>
+<br>
Index: trunk/umn/alkis_n/templates/punktnummer.html
===================================================================
--- trunk/umn/alkis_n/templates/punktnummer.html	(revision 379)
+++ trunk/umn/alkis_n/templates/punktnummer.html	(revision 379)
@@ -0,0 +1,37 @@
+<!-- MapServer Template -->
+<table cellpadding="4" cellspacing="1">
+
+<tr>
+	<td id='punktkennung' class='tdfirst'>
+		Punktkennung
+	</td>
+	<td class='tdfirst'>
+		[punktkennung]
+	</td>
+</tr>
+
+<tr>
+	<td>
+		Punktnummer
+	</td>
+	<td>
+		[punktnummer]
+	</td>
+</tr>
+
+<tr>
+	<td>Objektart</td>
+	<td>[art]</td>
+</tr>
+
+<tr>
+	<td>Genauigkeitsstufe (GST)</td>
+	<td>[genauigkeitsstufe]</td>
+</tr>
+<tr>
+	<td>zust&auml;ndige Stelle</td>
+	<td>[kreis]</td>
+</tr>
+
+</table>
+<br/>
Index: trunk/umn/alkis_n/alkis_punktnummernuebersicht.map
===================================================================
--- trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 379)
+++ trunk/umn/alkis_n/alkis_punktnummernuebersicht.map	(revision 379)
@@ -0,0 +1,708 @@
+#http://wmsobk2.intern.obk.de/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&mode=browse&layer=genauigkeitsstufe&layer=objektart&template=openlayers
+#http://wmsobk2.intern.obk.de:80/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
+#http://wmsobk2.intern.obk.de:80/cgi-bin/mapserv?map=/data/umn/obk/alkis_punktnummernuebersicht.map&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.3.0
+
+MAP
+	NAME 'wms_alkis_punktuebersicht'
+	STATUS ON
+	SIZE 1000 1000
+
+	RESOLUTION 72
+	MAXSIZE 50000
+
+	EXTENT 361900 5600000 426300 5700000
+
+	PROJECTION
+		'init=epsg:25832'
+	END
+
+	SYMBOLSET 'symbols_alkis.sym'
+	FONTSET 'fonts/fonts_alkis.fnt'
+
+	IMAGECOLOR 254 254 254
+	UNITS meters
+	IMAGETYPE png
+
+	OUTPUTFORMAT
+		NAME 'png'
+		DRIVER AGG/PNG
+		MIMETYPE 'image/png'
+		IMAGEMODE RGB
+		EXTENSION 'png'
+		FORMATOPTION 'GAMMA=0.75'
+		FORMATOPTION 'INTERLACE=OFF'
+		TRANSPARENT ON
+	END
+
+	WEB
+		LOG '/datapublic/umn/log/error.log'
+		IMAGEPATH '/datapublic/umn/images/'
+		IMAGEURL 'http://localhost/umn/images/'
+		METADATA
+			wms_title 'ALKIS PunktnummernÃŒbersicht'
+			wms_abstract 'Der WMS-Dienst ALKIS PunktnummernÃŒbersicht enthÃ€lt farblich differenzierte Punktnummern, Symbole fÃŒr die Genauigkeitsstufe und die Punktart. '
+			wms_accessconstraints 'none'
+			wms_feature_info_mime_type 'text/html'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+			wms_onlineresource 'http://localhost/cgi-bin/mapserv?map=/data/umn/alkis/alkis_punktnummernuebersicht.map'
+			wms_encoding 'UTF-8'
+
+			ows_schema_location '..'
+			ows_abstract 'ALKIS PunktnummernÃŒbersicht'
+			ows_keywordlist 'ALKIS,ALKIS_NW,PunktnummernÃŒbersicht,WebGIS,WMS,WFS'
+			ows_fees 'none'
+			ows_accessconstraints 'none'
+
+			ows_enable_request '*'
+
+			include 'include/contact_address.map'
+			include 'include/contact_person.map'
+		END
+	END
+
+	LEGEND
+		STATUS ON
+		KEYSIZE 16 16
+		KEYSPACING 5 5
+		TEMPLATE '../templates/legendPunktnummer.html'
+		LABEL
+			COLOR 120 120 120
+			TYPE TRUETYPE
+			FONT 'arial'
+			SIZE 9
+		END
+	END
+
+	###################################################
+	# PunktnummernÃŒbersicht
+			#11003, 1300X, 31005, 51011, 61009(fehlt noch in Tabelle)
+
+	LAYER
+		NAME 'genauigkeitsstufe'
+		TYPE POINT
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NOT NULL)) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'Genauigkeitsstufe'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+		END
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+		LABELMINSCALEDENOM 0
+		LABELMAXSCALEDENOM 2500
+
+		SYMBOLSCALEDENOM 5000
+
+		LABELITEM 'punktnummer'
+		CLASSITEM 'genauigkeitsstufe'
+
+		CLASS
+			NAME 'GST 2000 und 2100 (S <= 2cm und S <= 3cm)'
+			EXPRESSION /2[0-1]00/
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 0 255 #blau
+				#OUTLINECOLOR 254 254 254
+				SIZE 5
+				MINSIZE 5
+				MAXSIZE 7
+			END
+		END
+
+		CLASS
+			NAME 'GST 2200 und 2300 (S <= 6cm und S <= 10cm)'
+			EXPRESSION /2[2-3]00/
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 125 0 #gelb
+				#OUTLINECOLOR 254 254 254
+				SIZE 5
+				MINSIZE 5
+				MAXSIZE 7
+			END
+		END
+
+		CLASS
+			NAME 'GST 3000 (S <= 30cm)'
+			EXPRESSION /3000/
+			STYLE
+				SYMBOL 'point'
+				COLOR 161 70 255 #violett
+				#OUTLINECOLOR 254 254 254
+				SIZE 5
+				MINSIZE 5
+				MAXSIZE 7
+			END
+		END
+
+	END
+	#-----------------------------------------------------------------------------------
+	LAYER
+		NAME 'digitale_Punkte'
+		TYPE POINT
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NULL)) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'Digitale Punkte (ohne Punktnummer)'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+
+		END
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+
+		SYMBOLSCALEDENOM 5000
+
+		CLASS
+			NAME 'Digitale Punkte'
+			#EXPRESSION '(2000 OR 2100)'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 0 0 #rot
+				#OUTLINECOLOR 254 254 254
+				SIZE 5
+				MINSIZE 5
+				MAXSIZE 7
+			END
+		END
+
+	END
+	#-----------------------------------------------------------------------------------
+	LAYER
+		NAME 'Punkte_ohne_GST'
+		TYPE POINT
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NULL)) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'Punkte ohne GST'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+		END
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+		LABELMINSCALEDENOM 0
+		LABELMAXSCALEDENOM 2500
+
+		SYMBOLSCALEDENOM 5000
+
+		LABELITEM 'punktnummer'
+		CLASSITEM 'genauigkeitsstufe'
+
+		CLASS
+			NAME 'Punkte ohne GST'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 0 255 #magenta
+				#OUTLINECOLOR 254 254 254
+				SIZE 5
+				MINSIZE 5
+				MAXSIZE 7
+			END
+		END
+
+	END
+	#---------------------------------------------------------------
+	LAYER
+		NAME 'objektart'
+		TYPE POINT
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'Objektart'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+		END
+
+		TOLERANCE 5
+		HEADER './templates/header_punktnummer.html'
+		TEMPLATE './templates/punktnummer.html'
+		FOOTER './templates/FOOTER/footer_logo_62_kraemer.html'
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+
+		SYMBOLSCALEDENOM 5000
+
+		CLASSITEM 'art'
+
+		CLASS
+			NAME 'Aufnahmepunkt'
+			EXPRESSION 'Aufnahmepunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 0 255 #60 160 255
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Sicherungspunkt'
+			EXPRESSION 'Sicherungspunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 0 255 #70 90 250
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Grenzpunkt'
+			EXPRESSION 'Grenzpunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 128 0 #150 100 230
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Besonderer Bauwerkspunkt'
+			EXPRESSION 'Besonderer Bauwerkspunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 0 255 #255 255 0
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Besonderer GebÃ€udepunkt'
+			EXPRESSION 'Besonderer GebÃ€udepunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 0 255 #255 255 0
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Besonderer Topographischer Punkt'
+			EXPRESSION 'Besonderer Topographischer Punkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 255 0 0 #255 0 0
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+		CLASS
+			NAME 'Sonstiger Vermessungspunkt'
+			EXPRESSION 'Sonstiger Vermessungspunkt'
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 125 0 #255 255 0
+				#OUTLINECOLOR 254 254 254
+				SIZE 2
+				MINSIZE 2
+				MAXSIZE 4
+			END
+		END
+
+	END
+	#--------------------------------------------------------------------------------------------------
+	LAYER
+		NAME 'zustaendige_stelle'
+		TYPE POINT
+		STATUS OFF
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (stelle IS NOT NULL)) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'zustÃ€ndige Stelle'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+		END
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+		LABELMINSCALEDENOM 0
+		LABELMAXSCALEDENOM 2500
+
+		SYMBOLSCALEDENOM 5000
+
+		CLASSITEM 'stelle'
+
+		CLASS
+			NAME 'Rhein.-Berg. Kreis (GL)'
+			TEXT 'GL'
+			EXPRESSION /4450/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Rhein-Sieg-Kreis (SU)'
+			TEXT 'SU'
+			EXPRESSION /4460/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Remscheid (RS)'
+			TEXT 'RS'
+			EXPRESSION /3270/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Wuppertal (W)'
+			TEXT 'W'
+			EXPRESSION /3290/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				#OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Olpe (OE)'
+			TEXT 'OE'
+			EXPRESSION /1090/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'MÃ€rkischer Kreis (MK)'
+			TEXT 'MK'
+			EXPRESSION /1080/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Ennepe-Ruhr-Kreis (EN)'
+			TEXT 'EN'
+			EXPRESSION /1060/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+
+		CLASS
+			NAME 'Altenkirchen (AK)'
+			TEXT 'AK'
+			EXPRESSION /101/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'circle'
+				COLOR 0 0 0 #schwarz
+				OUTLINECOLOR 0 0 0 #schwarz
+				SIZE 1
+				MINSIZE 1
+				MAXSIZE 1
+			END
+		END
+	END
+
+	#-----------------------------------------------------------------------------------
+	LAYER
+		NAME 'punktnummer'
+		TYPE POINT
+		DUMP TRUE
+
+		EXTENT 361900 5600000 426300 5700000
+
+		PROJECTION
+			'init=epsg:25832'
+		END
+
+		CONNECTIONTYPE postgis
+		CONNECTION 'host=localhost dbname=alkis user=alkis port=5432'
+		DATA 'wkb_geometry from (SELECT * FROM alkis.pp_punktnummernuebersicht WHERE (punktkennung IS NOT NULL AND genauigkeitsstufe IS NOT NULL)) as foo using unique gid using SRID=25832'
+
+		METADATA
+			wms_title 'Punktnummer'
+			wms_srs 'epsg:25832 epsg:31466 epsg:31467 epsg:31468 epsg:31469 epsg:4326'
+
+		END
+
+		MINSCALEDENOM 0
+		MAXSCALEDENOM 5000
+		LABELMINSCALEDENOM 0
+		LABELMAXSCALEDENOM 2500
+
+		SYMBOLSCALEDENOM 5000
+
+		LABELITEM 'punktnummer'
+		CLASSITEM 'genauigkeitsstufe'
+
+		CLASS
+			NAME 'GST 2000 und 2100 (S <= 2cm und S <= 3cm)'
+			EXPRESSION /2[0-1]00/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 0 255 #blau
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 0 255 #blau
+				OUTLINECOLOR 0 0 255 #blau
+				SIZE 0
+				MINSIZE 0
+				MAXSIZE 0
+			END
+		END
+
+		CLASS
+			NAME 'GST 2200 und 2300 (S <= 6cm und S <= 10cm)'
+			EXPRESSION /2[2-3]00/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 0 125 0 #gelb
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'point'
+				COLOR 0 125 0 #gelb
+				OUTLINECOLOR 0 125 0 #gelb
+				SIZE 0
+				MINSIZE 0
+				MAXSIZE 0
+			END
+		END
+
+		CLASS
+			NAME 'GST 3000 (S <= 30cm)'
+			EXPRESSION /3000/
+			LABEL
+				TYPE TRUETYPE
+				FONT 'arial'
+				POSITION ur
+				OFFSET 2 2
+				FORCE False
+				COLOR 161 70 255 #violett
+				OUTLINECOLOR 254 254 254
+				SIZE 7
+				MINSIZE 5
+				MAXSIZE 8
+			END
+			STYLE
+				SYMBOL 'point'
+				COLOR 161 70 255 #violett
+				OUTLINECOLOR 161 70 255 #violett
+				SIZE 0
+				MINSIZE 0
+				MAXSIZE 0
+			END
+		END
+	END
+
+END
Index: trunk/umn/alkis_n/symbols_alkis.sym
===================================================================
--- trunk/umn/alkis_n/symbols_alkis.sym	(revision 379)
+++ trunk/umn/alkis_n/symbols_alkis.sym	(revision 379)
@@ -0,0 +1,18 @@
+SYMBOLSET
+# Symboldatei fuer Mapdatei alkis_punktnummernuebersicht.map
+
+	SYMBOL
+		NAME "point"
+		TYPE ellipse
+		FILLED true
+		POINTS 1 1 END
+	END
+
+	SYMBOL
+		NAME "circle"
+		TYPE ellipse
+		FILLED false
+		POINTS 1 1 END
+	END
+
+END
Index: trunk/umn/alkis_n/fonts/fonts_alkis.fnt
===================================================================
--- trunk/umn/alkis_n/fonts/fonts_alkis.fnt	(revision 379)
+++ trunk/umn/alkis_n/fonts/fonts_alkis.fnt	(revision 379)
@@ -0,0 +1,13 @@
+arial    arial.ttf
+arialkursiv ariali.ttf
+arialnarrow arialn.ttf
+arialnarrowkursiv arialni.ttf
+arialbold    arialbd.ttf
+arialboldkursiv    arialbi.ttf
+kursivlinks velk.ttf
+alkis_symbols     alkis_symbols.ttf 
+alkis_textsymbols      alkis_textsymbols.ttf
+alkis_symbols_test     alkis_symbols_test.ttf 
+arial_u_1 arial_underline_1.ttf
+arial_u_2 arial_underline_2.ttf
+velk	velk.ttf